X11-1.10.3: A binding to the X11 graphics library

Copyright | (c) Haskell.org 2007
License | BSD3
Maintainer | Don Stewart <dons@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.X11.Xinerama

Description

Synopsis

- data XineramaScreenInfo = XineramaScreenInfo {
  - xsi_screen_number :: !CInt
  - xsi_x_org :: !CShort
  - xsi_y_org :: !CShort
  - xsi_width :: !CShort
  - xsi_height :: !CShort
  }
- xineramaIsActive :: Display -> IO Bool
- xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt))
- xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt))
- xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo])
- compiledWithXinerama :: Bool
- getScreenInfo :: Display -> IO [Rectangle]

# Documentation

data XineramaScreenInfo #

Representation of the XineramaScreenInfo struct

Constructors

XineramaScreenInfo |

Fields

- xsi_screen_number :: !CInt
- xsi_x_org :: !CShort
- xsi_y_org :: !CShort
- xsi_width :: !CShort
- xsi_height :: !CShort

#### Instances

Instances details

Storable XineramaScreenInfo # |

Instance details

Defined in Graphics.X11.Xinerama

Methods

sizeOf :: XineramaScreenInfo -> Int #

alignment :: XineramaScreenInfo -> Int #

peekElemOff :: Ptr XineramaScreenInfo -> Int -> IO XineramaScreenInfo #

pokeElemOff :: Ptr XineramaScreenInfo -> Int -> XineramaScreenInfo -> IO () #

peekByteOff :: Ptr b -> Int -> IO XineramaScreenInfo #

pokeByteOff :: Ptr b -> Int -> XineramaScreenInfo -> IO () #

peek :: Ptr XineramaScreenInfo -> IO XineramaScreenInfo #

poke :: Ptr XineramaScreenInfo -> XineramaScreenInfo -> IO () #

Show XineramaScreenInfo # |
Instance details Defined in Graphics.X11.Xinerama Methods showsPrec :: Int -> XineramaScreenInfo -> ShowS # show :: XineramaScreenInfo -> String # showList :: [XineramaScreenInfo] -> ShowS #

xineramaIsActive :: Display -> IO Bool #

xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt)) #

xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt)) #

xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo]) #

compiledWithXinerama :: Bool #

getScreenInfo :: Display -> IO [Rectangle] #

Wrapper around xineramaQueryScreens that fakes a single screen when Xinerama is not active. This is the preferred interface to Graphics.X11.Xinerama.